Skip to content


Subversion checkout URL

You can clone with
Download ZIP
Fetching contributors…

Cannot retrieve contributors at this time

116 lines (115 sloc) 2.89 KB
.\" FreeBSD pkg - a next generation package for the installation and maintenance
.\" of non-core utilities.
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\" notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\" notice, this list of conditions and the following disclaimer in the
.\" documentation and/or other materials provided with the distribution.
.\" @(#)pkg.8
.\" $FreeBSD$
.Dd September 14, 2012
.Nm "pkg set"
.Nd modify information in the installed database
.Op Fl a
.Op Fl A Op Ar 01
.Op Fl o Ar <oldorigin>:<neworigin>
.Op Fl y
.Op Fl xXg
.Ar <pkg-name>
is used to modify information concerning installed packages, should be used with
The following options are supported by
.Nm :
.Bl -tag -width F1
.It Fl y
Assume yes when asked for confirmation before package autoremoval.
.It Fl a
Match on all installed packages.
.It Fl A Op 01
Set automatic flag to the package: 0 is not automatic, 1 is automatic.
This affects the operation of
.Xr pkg-autoremove 8 .
.It Fl o Op <oldorigin>:<neworigin>
Change the port origin of a given dependency from
.Ar oldorigin
.Ar neworigin .
This corresponds to the port directory that the package originated from.
Typically, this is only needed for upgrading a library or package that has MOVED or when the default version of a major port dependency changes.
Usually this will be explained in /usr/ports/UPDATING.
Also see
.Xr pkg-updating 8
.It Fl x
Assume pkg-name is a regex
.It Fl X
Assume pkg-name is an extended regex
.It Fl g
Assume pkg-name is a glob
.Xr pkg.conf 5 .
Upgrade perl from 5.12 to 5.14.
This involes moving the origin from
.Sy lang/perl5.12
.Sy lang/perl5.14 :
.Dl # pkg set -o lang/perl5.12:lang/perl5.14
Upgrade ruby from 1.8 to 1.9.
This involes moving the origin from
.Sy lang/ruby18
.Sy lang/ruby19 :
.Dl # pkg set -o lang/ruby18:lang/ruby19
Move the origin libglut to freeglut, and then reinstall everything depending on glut to use the new shared library:
.Dl # pkg set -o graphics/libglut:graphics/freeglut
.Dl # pkg install -Rf graphics/freeglut
.Xr pkg.conf 5 ,
.Xr pkg 8 ,
.Xr pkg-add 8 ,
.Xr pkg-audit 8 ,
.Xr pkg-autoremove 8 ,
.Xr pkg-backup 8 ,
.Xr pkg-check 8 ,
.Xr pkg-clean 8 ,
.Xr pkg-create 8 ,
.Xr pkg-delete 8 ,
.Xr pkg-fetch 8 ,
.Xr pkg-info 8 ,
.Xr pkg-install 8 ,
.Xr pkg-query 8 ,
.Xr pkg-register 8 ,
.Xr pkg-repo 8 ,
.Xr pkg-rquery 8 ,
.Xr pkg-search 8 ,
.Xr pkg-shell 8 ,
.Xr pkg-shlib 8 ,
.Xr pkg-stats 8 ,
.Xr pkg-update 8 ,
.Xr pkg-updating 8 ,
.Xr pkg-upgrade 8 ,
.Xr pkg-version 8 ,
.Xr pkg-which 8
Jump to Line
Something went wrong with that request. Please try again.